%define name gnomemm
%define	version 1.2.1
%define release 2mdk
%define major 9
%define library_name %{name}-1.2

Name: %{name}
Summary: A C++ interface for Gnome libs (a GUI library for X).
Version: %{version}
Release: %{release}
License: 	LGPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}-%{version}.tar.bz2
URL: http://gtkmm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: flex gnome-libs-devel gtkmm-devel

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package -n lib%{library_name}_%{major}
Summary: %{summary}
Group: %{group}
Obsoletes: %{name}
Provides: %{name} = %{version}

%description -n lib%{library_name}_%{major}
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.



%package -n lib%{library_name}_%{major}-devel
Summary: Headers for developing programs that will use Gnome--.
Group: Development/GNOME and GTK+
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}
Provides: lib%{library_name}-devel = %{version}
Requires: lib%{library_name}_%{major} = %{version}
Requires: gnome-libs-devel

%description -n lib%{library_name}_%{major}-devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to 
the GTK+ (the Gimp ToolKit) GUI library.

%prep
%setup -q

%build
%configure 
%make 

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

# don't use makeinstall macro
make DESTDIR=$RPM_BUILD_ROOT install

# replace examples.conf by a really simple one
echo 'CXXBUILD = g++ -O2 $< -o $@ `gtkmm-config --cflags --libs` ' \
	> examples/examples.conf

# strip down the docs 
find docs/ \
\( 	-name 'Makefile' -or	\
	-name 'Makefile.in' -or	\
	-name 'Makefile.am' -or	\
	-name '*.m4' -or	\
	-name 'html' -or	\
	-name 'header' -or 	\
	-name '*.h' 		\
\)	-exec rm {} \;

%post -n lib%{library_name}_%{major} -p /sbin/ldconfig

%postun -n lib%{library_name}_%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n lib%{library_name}_%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files -n lib%{library_name}_%{major}-devel
%defattr(-, root, root)
%doc examples/ docs/  AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/*.so
%{_datadir}/aclocal/*

%changelog
* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-2mdk
- BuildRequires: flex

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0
- Libification
- Rename specfile
- Simplify build requires

* Mon Apr 23 2001 Vincent Saugey <vince@mandrakesoft.com> 1.1.17-1mdk
- Up to date 1.1.17

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-2mdk
- Recompiled against latest glib/gtk

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-1mdk
- Release 1.1.15
- Remove patch 0 (merged upstream)

* Wed Dec 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.12-1mdk
- Release 1.1.12
- correct dependency
- patch from Gnome CVS to compile with gcc 2.96


* Wed Oct 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.10-3mdk
- fix %%{_tmppath}
- bzip2 source

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.10-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.10-1mdk
- First mdk release

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
